Security Announcement: PBworks is safe from “Heartbleed”

10 Apr

As you may have heard, many websites and services have a major security issue named “Heartbleed”

The short answer is that your information is safe, PBworks is not affected, and you do not need to take any actions (e.g. changing passwords).

If you are interested in the details, you can read on.

A major security bug, nicknamed  “Heartbleed” was reported in the OpenSSL security cipher suite.   OpenSSL is an open source library used by over 3/4ths of all web services, and it is used to protect the privacy of data transmitted over the internet.

Actions PBworks has taken

Within hours of the report of the bug, we performed a security vulnerability assessment of our system, and found that the version of OpenSSL used by our system is not vulnerable to this exploit.

What do you need to do?

At this time, you do not need to take any action.   Your login, data, and passwords are safe, and have not been compromised.

What PBworks will continue to do

We believe that the security and integrity of your data is of the highest priority.   We are taking further precautions to make sure that your data is safe on our service.  We have also updated all our systems with the latest available security patches to the software and operating systems, and will continue to perform daily security audits.

If you have any concerns or questions, please contact Support or your account representative.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Follow

Get every new post delivered to your Inbox.

Join 90 other followers

%d bloggers like this: